Get All Users V2
https://app.fossa.com/api/v2/usersGet a paginated list of users in your organization
Query parameters
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter users by username, email, or full name (max 255)
sortenumSort order for results. Use format `field_asc` or `field_desc`. Supported fields: username, full_name, email, created_at, last_visit.
username_ascusername_descfull_name_ascfull_name_descemail_ascemail_desccreated_at_asccreated_at_desclast_visit_asclast_visit_descResponses
200OKresultsobject[]requiredArray of users
idintegerThe user's unique identifier
usernamestring | nullThe user's username
emailstring | nullThe user's email address
email_verifiedboolean | nullWhether the user's email address has been verified
demobooleanWhether the user is a demo user
superbooleanWhether the user is a super user
joinedstring | null <date-time>The date the user joined the organization
last_visitstring | null <date-time>The date the user last visited the organization
terms_agreedstring | null <date-time>The date the user agreed to the organization's terms
full_namestring | nullThe user's full name
phonestring | nullThe user's phone number
rolestring | nullThe user's role in the organization
organizationIdintegerThe organization the user belongs to
sso_onlybooleanWhether the user is SSO only
enabledbooleanWhether the user is enabled
has_set_passwordboolean | nullWhether the user has set a password
install_adminboolean | nullWhether the user is an install admin
isServiceAccountbooleanWhether the user is a service account
createdAtstring <date-time>The date the user was created
updatedAtstring <date-time>The date the user was last updated
userRoleobjectroleIdintegerThe user's Organization role ID
roleobjectidintegerThe role's unique identifier
organizationIdintegerThe organization the role belongs to
isCustombooleanWhether the role is custom
namestringThe role's name
scopestringThe role's scope
tokensobject[]idintegerThe token's unique identifier
namestringThe token's name
isDisabledbooleanupdatedAtstring <date-time>The date the token was last updated
createdAtstring <date-time>The date the token was created
metaobjectpushOnlybooleanWhether the token is push only
defaultPolicyIdintegerThe token's default licensing policy ID
defaultSecurityPolicyIdintegerThe token's default security policy ID
defaultQualityPolicyIdintegerThe token's default quality policy ID
teamsCountintegerNumber of teams the user belongs to
organizationobjectidintegerThe organization's unique identifier
titlestringThe organization's title
access_levelstringThe organization's access level
githubobjectnamestringThe user's GitHub username
emailstringThe user's GitHub email address
avatar_urlstringThe user's GitHub avatar URL
bitbucketCloudobjectnamestringThe user's Bitbucket Cloud username
emailstringThe user's Bitbucket Cloud email address
avatar_urlstringThe user's Bitbucket Cloud avatar URL
pageSizeintegerrequiredNumber of items per page
pageintegerrequiredCurrent page number (1-indexed)
totalCountintegerrequiredTotal number of users
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/userscurl --request GET \ --url 'https://app.fossa.com/api/v2/users' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter users by username, email, or full name (max 255)
sortenumSort order for results. Use format `field_asc` or `field_desc`. Supported fields: username, full_name, email, created_at, last_visit.